GET /api/v1/badging/badge/questions
curl --request GET \
--url https://api.scoot.app/api/v1/badging/badge/questions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scoot.app/api/v1/badging/badge/questions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scoot.app/api/v1/badging/badge/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "<string>",
"type": "PROFILE",
"inputType": "TEXT",
"description": "<string>",
"visibility": "ALL",
"required": true,
"featured": true,
"options": [
"<string>"
]
}
]Badging
Get Badge Questions
GET
/
api
/
v1
/
badging
/
badge
/
questions
GET /api/v1/badging/badge/questions
Gets all badge questions.
Authorizations
Query Parameters
Page number to get, used with pageSize
Number of items to get in one request, used with page
Property to sort by. Append ',' and directions 'asc/desc' to change direction
Response
200 - application/json
OK
Available options:
PROFILE, STANDARD, CUSTOM, INVISIBLE Available options:
TEXT, PARAGRAPH, SINGLE_SELECT, MULTI_SELECT, NUMBER Available options:
ALL, ACCOUNT_USERS, HOSTS, INTERNAL 
